Improper Check for Unusual or Exceptional Conditions

Affecting com.nimbusds:nimbus-jose-jwt artifact, versions [,7.9)

Do your applications use this vulnerable package? Test your applications

Overview

com.nimbusds:nimbus-jose-jwt is a library for JSON Web Tokens (JWT)

Affected versions of this package are vulnerable to Improper Check for Unusual or Exceptional Conditions. It can throw various uncaught exceptions while parsing a JWT, which could result in an application crash (potential information disclosure) or a potential authentication bypass.

Remediation

Upgrade com.nimbusds:nimbus-jose-jwt to version 7.9 or higher.

References

CVSS Score

6.3
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Unchanged
  • Confidentiality
    Low
  • Integrity
    Low
  • Availability
    Low
CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L
Credit
Unknown
CVE
CVE-2019-17195
CWE
CWE-754
Snyk ID
SNYK-JAVA-COMNIMBUSDS-536068
Disclosed
16 Oct, 2019
Published
26 Nov, 2019